Subject: Re: [bug#33010] [PATCH 2/3] gnu: Add guix-minimal.

From: Jonathan Brielmaier <[email-masked]>
Date: Mon, 15 Oct 2018 17:46:48 +0200

On 10/15/18 11:02 AM, Efraim Flashner wrote:
> On Sun, Oct 14, 2018 at 11:42:58PM +0200, Ludovic Courtès wrote:
>> Hi,
>>
>> [email-masked] skribis:
>>
>>> From: Eric Bavier <[email-masked]>
>>>
>>> * gnu/packages/guile.scm (guile-2.0.13): New variable.
>>> * gnu/packages/package-management.scm (guix)[arguments]: Adjust 'wrap-program'
>>> phase to handle "missing" inputs.
>>> (guix-minimal): New variable.
>>
>> What’s the intended use case?  Is it to check that Guix compiles against
>> an old Guile 2.0 and without optional dependencies?
>>
>> I wonder whether we should add packages “just” for this, especially
>> given that 2.0 support is reaching end-of-life and that 2.0.13 is pretty
>> old.
>>
> 
> It might be old but it's still hanging around. Right now iirc Debian
> stable and Ubuntu 18.04 both ship with Guile-2.0 and with guile packages
> built against it. If someone wanted to build Guix from source using the
> various guile libraries there's a fair amount of packaging to do.
> 

I'm still work to bring guile2.2 to openSUSE. The problem is that
autogen 5.18.14 has no guile2.2 support, the new release of autogen
5.18.16 should have it. I'm still trying to get it building...

The whole status of guix with guile2.2 on openSUSE can be found here.
Not that it's very work-in-progress:
https://build.opensuse.org/project/show/home:sleep_walker:guile